Customer Support API
POST /services/customer-support/v1/customer-support/tickets/reply Auth

Reply to Support Ticket

Request Body Required

FieldTypeRequiredDescriptionExample
ticket_id integer Yes
message string
max: 20000
Yes
is_internal boolean|null No
channel string|null
email, whatsapp,
No
attachments array|null No
concept_hash string|null
max: 128
No

Responses

200
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Unauthenticated โ€” missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden โ€” insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests โ€” rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/customer-support/v1/customer-support/tickets/reply" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "ticket_id": 0,
    "message": "string",
    "is_internal": "string",
    "channel": "string",
    "attachments": "string",
    "concept_hash": "string"
}'
fetch('https://api.wemasy.nl/api/services/customer-support/v1/customer-support/tickets/reply', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "ticket_id": 0,
    "message": "string",
    "is_internal": "string",
    "channel": "string",
    "attachments": "string",
    "concept_hash": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/customer-support/v1/customer-support/tickets/reply', {
    "ticket_id": 0,
    "message": "string",
    "is_internal": "string",
    "channel": "string",
    "attachments": "string",
    "concept_hash": "string"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "ticket_id": 0,
    "message": "string",
    "is_internal": "string",
    "channel": "string",
    "attachments": "string",
    "concept_hash": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/customer-support/v1/customer-support/tickets/reply", headers=headers, json=data)
print(r.json())

Try It
Request Body Required

Export